CVE-2023-20900

NameCVE-2023-20900
DescriptionA malicious actor that has been granted Guest Operation Privileges https://docs.vmware.com/en/VMware-vSphere/8.0/vsphere-security/GUID-6A952214-0E5E-4CCF-9D2A-90948FF643EC.html  in a target virtual machine may be able to elevate their privileges if that target virtual machine has been assigned a more privileged Guest Alias https://vdc-download.vmware.com/vmwb-repository/dcr-public/d1902b0e-d479-46bf-8ac9-cee0e31e8ec0/07ce8dbd-db48-4261-9b8f-c6d3ad8ba472/vim.vm.guest.AliasManager.html .
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDSA-5493-1
Debian Bugs1050970

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
open-vm-tools (PTS)buster2:10.3.10-1+deb10u2vulnerable
buster (security)2:10.3.10-1+deb10u4vulnerable
bullseye2:11.2.5-2+deb11u1vulnerable
bullseye (security)2:11.2.5-2+deb11u2fixed
bookworm2:12.2.0-1vulnerable
bookworm (security)2:12.2.0-1+deb12u1fixed
trixie, sid2:12.3.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
open-vm-toolssourcebullseye2:11.2.5-2+deb11u2DSA-5493-1
open-vm-toolssourcebookworm2:12.2.0-1+deb12u1DSA-5493-1
open-vm-toolssource(unstable)2:12.3.0-11050970

Notes

https://www.openwall.com/lists/oss-security/2023/08/31/1
https://github.com/vmware/open-vm-tools/blob/CVE-2023-20900.patch/CVE-2023-20900.patch
Fixed by: https://github.com/vmware/open-vm-tools/commit/74b6d0d9000eda1a2c8f31c40c725fb0b8520b16 (stable-12.3.0)

Search for package or bug name: Reporting problems